Bug 1307317 - anyterm: FTBFS in rawhide
anyterm: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anyterm (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Boström
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:00 EST by Fedora Release Engineering
Modified: 2016-03-07 14:37 EST (History)
2 users (show)

See Also:
Fixed In Version: anyterm-1.1.29-36.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 14:37:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (9.80 KB, text/plain)
2016-02-13 16:01 EST, Fedora Release Engineering
no flags Details
root.log (87.10 KB, text/plain)
2016-02-13 16:01 EST, Fedora Release Engineering
no flags Details
state.log (629 bytes, text/plain)
2016-02-13 16:01 EST, Fedora Release Engineering
no flags Details
Specify C++98 usage (#1307317) (1.22 KB, patch)
2016-02-23 16:49 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:00:58 EST
Your package anyterm failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12806182

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:01:01 EST
Created attachment 1124021 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:01:02 EST
Created attachment 1124022 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:01:04 EST
Created attachment 1124023 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-23 16:49 EST
Created attachment 1129927 [details]
Specify C++98 usage (#1307317)

This code uses types whose names conflict and aren't compatible with new 
types in C++11.  While it probably shouldn't be doing that, as old as 
this is it's no surprise it's not ready for C++11.
Comment 5 Jan Kurik 2016-02-24 09:33:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Upstream Release Monitoring 2016-03-07 14:17:05 EST
yselkowitz's anyterm-1.1.29-36.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=742703

Note You need to log in before you can comment on or make changes to this bug.